Core - Task # 57280

Status: Resolved Priority: Should have

Author: Marc Bastian Heinrichs Category: Extbase

Created: 2014-03-25 Assigned To: Marc Bastian Heinrichs
Updated: 2014-06-11 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Introduce setting to be able to disable Extbase query cache for all queries.

Description

Extbase should have a setting to disable Extbase query cache for all queries.
ATM you could only disable it on a query level and only for your own queries.
For queries build by Extbase itself this is not possible.

Related issues:
related to Core - Task # 55167: Extbase: avoid parseQuery() / buildQuery() to... Resolved

2014-03-20

2014-03-20

Associated revisions

Revision b8f385b3 - 2014-06-11 17:11 - Marc Bastian Heinrichs

[TASK] Add default TypoScript setting for extbase query cache

The extbase query cache is enabled by default. This patch
adds a TypoScript setting to enable or disable the cache in general
and on a plugin level.

Resolves: #57280

Releases: 6.2

Change-Id: 1620a3c4d2c4e508630d97731f12cc11c617aae75
Reviewed-on: https://review.typo3.org/29763

Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Wouter Wolters
Reviewed-by: Marcin Sagol
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers

History

#1 - 2014-05-01 20:10 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/29763

#2 - 2014-05-02 00:43 - Gerrit Code Review
Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29763

#3 - 2014-05-08 17:53 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/29763

#4 - 2014-06-11 17:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b8f385b304cf47afac9b22fa476c71b878a5dd2b.
